Debian Bug report logs - #731766
xorg: Add arm64 support

version graph

Package: src:xorg; Maintainer for src:xorg is Debian X Strike Force <debian-x@lists.debian.org>;

Reported by: Wookey <wookey@wookware.org>

Date: Mon, 9 Dec 2013 14:57:02 UTC

Severity: normal

Tags: patch

Found in version xorg/7.7+4

Fixed in version xorg/1:7.7+5

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#731766; Package src:xorg. (Mon, 09 Dec 2013 14:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 09 Dec 2013 14:57:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xorg: Add arm64 support
Date: Mon, 09 Dec 2013 14:55:46 +0000
[Message part 1 (text/plain, inline)]
Source: xorg
Version: 7.7+4
Severity: normal
Tags: patch
User: debian-arm@lists.debian.org
Usertag: arm64

Adding minimal support for new arm64 port, so package can be built.

-- System Information:
Debian Release: 7.2
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-kvm-i386-20110111 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[xorg-7.7+4-arm64-support.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#731766; Package src:xorg. (Mon, 09 Dec 2013 22:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 09 Dec 2013 22:03:04 GMT) Full text and rfc822 format available.

Message #10 received at 731766@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Wookey <wookey@wookware.org>, 731766@bugs.debian.org
Subject: Re: Bug#731766: xorg: Add arm64 support
Date: Mon, 9 Dec 2013 23:01:35 +0100
[Message part 1 (text/plain, inline)]
On Mon, Dec  9, 2013 at 14:55:46 +0000, Wookey wrote:

> Source: xorg
> Version: 7.7+4
> Severity: normal
> Tags: patch
> User: debian-arm@lists.debian.org
> Usertag: arm64
> 
> Adding minimal support for new arm64 port, so package can be built.
> 
Should probably include at least xserver-xorg-video-fbdev and
xserver-xorg-input-evdev?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#731766; Package src:xorg. (Tue, 10 Dec 2013 00:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 10 Dec 2013 00:39:05 GMT) Full text and rfc822 format available.

Message #15 received at 731766@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 731766@bugs.debian.org
Subject: Re: Bug#731766: xorg: Add arm64 support
Date: Tue, 10 Dec 2013 00:35:17 +0000
+++ Julien Cristau [2013-12-09 23:01 +0100]:
> On Mon, Dec  9, 2013 at 14:55:46 +0000, Wookey wrote:
> 
> > Source: xorg
> > Version: 7.7+4
> > Severity: normal
> > Tags: patch
> > User: debian-arm@lists.debian.org
> > Usertag: arm64
> > 
> > Adding minimal support for new arm64 port, so package can be built.
> > 
> Should probably include at least xserver-xorg-video-fbdev and
> xserver-xorg-input-evdev?

Yes. I guess that's sensible. We don't know what video hardware chips
will have yet, but those basic devices seem like a reasonble start.

Wookey
-- 
Principal hats:  Linaro, Emdebian, Wookware, Balloonboard, ARM
http://wookware.org/



Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Wed, 25 Dec 2013 19:06:19 GMT) Full text and rfc822 format available.

Notification sent to Wookey <wookey@wookware.org>:
Bug acknowledged by developer. (Wed, 25 Dec 2013 19:06:19 GMT) Full text and rfc822 format available.

Message #20 received at 731766-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 731766-close@bugs.debian.org
Subject: Bug#731766: fixed in xorg 1:7.7+5
Date: Wed, 25 Dec 2013 19:03:47 +0000
Source: xorg
Source-Version: 1:7.7+5

We believe that the bug you reported is fixed in the latest version of
xorg, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 731766@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xorg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 25 Dec 2013 19:56:46 +0100
Source: xorg
Binary: x11-common xserver-xorg xserver-xorg-video-all xserver-xorg-input-all xorg xorg-dev xbase-clients xutils
Architecture: source all amd64
Version: 1:7.7+5
Distribution: sid
Urgency: medium
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 x11-common - X Window System (X.Org) infrastructure
 xbase-clients - miscellaneous X clients - metapackage
 xorg       - X.Org X Window System
 xorg-dev   - X.Org X Window System development libraries
 xserver-xorg - X.Org X server
 xserver-xorg-input-all - X.Org X server -- input driver metapackage
 xserver-xorg-video-all - X.Org X server -- output driver metapackage
 xutils     - X Window System utility programs metapackage
Closes: 731766
Changes: 
 xorg (1:7.7+5) unstable; urgency=medium
 .
   * Add minimal arm64 support (using fbdev/evdev drivers); closes: #731766.
     Thanks, Wookey!
Checksums-Sha1: 
 9b39490bc07e280a72e00b00dde72bc290df96e6 1951 xorg_7.7+5.dsc
 79114ba61cab72481bde8ccd450a5d8831915597 919764 xorg_7.7+5.tar.gz
 95a53d2aae6dec149d7651ce86e96146d9424513 281848 x11-common_7.7+5_all.deb
 c943415e50a505baa3d1189f2a8e7461b256613a 36546 xorg-dev_7.7+5_all.deb
 f9a357ed7661a0e8cf60edd8c8895bdab564898d 36410 xbase-clients_7.7+5_all.deb
 7e94b4e1f4957f0f4fd703a6936e5cdb919bfd5f 36300 xutils_7.7+5_all.deb
 5635a7ac5fda7027c6c33d0dd1aebaf2f1294bcd 104254 xserver-xorg_7.7+5_amd64.deb
 896488f426dcbb8fe50a2911ed03f7d34a672686 36344 xserver-xorg-video-all_7.7+5_amd64.deb
 bc26fab339406fbd2997a15835bf8a2dfc05afc5 36248 xserver-xorg-input-all_7.7+5_amd64.deb
 2932a7a8346de0c5166c41642fb5241c705f14ed 36724 xorg_7.7+5_amd64.deb
Checksums-Sha256: 
 3103060dfc9219cc97f6db6c94ec2dc60cfe60a4b4386337651dcbdce969ebd1 1951 xorg_7.7+5.dsc
 f3b00c0b195d4a34db77d626ba407677d560ff1737a670bd9cf29f338a9ffadf 919764 xorg_7.7+5.tar.gz
 2ff3abab7967bbb0eb7b1e21dbdbf60cee112a36f6747ecc49452735c023f618 281848 x11-common_7.7+5_all.deb
 233955329e5ae840a82acf97140cc5b1c7b7acc47dedf89bc38c5699bc61b1f1 36546 xorg-dev_7.7+5_all.deb
 89f20e0bd233fc2372d8bda213d8283a76252e18df3f06b9a0e5ae162b9cc4d3 36410 xbase-clients_7.7+5_all.deb
 153d4c3c997c47bd5d168a8c27c0c967e1bb94532ff009a11a09f027de45d6a1 36300 xutils_7.7+5_all.deb
 7d456fc363dc244060d69f958d335aa20be61ae0b09f9cfc7c579157113cb41d 104254 xserver-xorg_7.7+5_amd64.deb
 18a457d40b6abd39415e306cb8bd9f4c3fd9d9f05ef695db83b7489ac6130ce2 36344 xserver-xorg-video-all_7.7+5_amd64.deb
 54ebff11818d67c5fac7cf50fdc654ff118e91948560c8bc65048963a6ca8ccb 36248 xserver-xorg-input-all_7.7+5_amd64.deb
 4d5330845f87fe2f4965250f289cde360a175707df0f3f97cdecc3209878f8a7 36724 xorg_7.7+5_amd64.deb
Files: 
 dbcddb32c078f066e55544f1f0529118 1951 x11 optional xorg_7.7+5.dsc
 5593997a4d0e314b1eee2738d6906b02 919764 x11 optional xorg_7.7+5.tar.gz
 619eb783d78114f5953321a456cb719d 281848 x11 optional x11-common_7.7+5_all.deb
 2b496ac1b306193e8a9bcaf17a783210 36546 x11 optional xorg-dev_7.7+5_all.deb
 b04f1bca0e67a3a7e120eeee4167fe25 36410 x11 optional xbase-clients_7.7+5_all.deb
 0f600a7a5364180999384a6f7a29b811 36300 x11 optional xutils_7.7+5_all.deb
 779302c0a23f50f7c3eff767176a853e 104254 x11 optional xserver-xorg_7.7+5_amd64.deb
 54a56722baa945dda4688746cf693f3f 36344 x11 optional xserver-xorg-video-all_7.7+5_amd64.deb
 1c98319df2fe72ceeb4ee74d2e30a093 36248 x11 optional xserver-xorg-input-all_7.7+5_amd64.deb
 aa9df537037f9ee38b15aaa425294b3b 36724 x11 optional xorg_7.7+5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBAgAGBQJSuyrRAAoJEDEBgAUJBeQMpogQAIOlEj4ppU58xbbiWxsFOnA8
XnSbBMK1ZJzvxzXx7na5W8LOQxYAvLvNvEiZK7mXc336tmEqNqgLKb1xB4/G2ERV
R9asQtgomWyJnZZPs2r1jh1yVi/mODLh2baRXnyqOcEVu6zA20g1ewilDZnUZttD
qZbCeeyZSbjZjV1nAyibtd/kv+H2KN3LjpPxmPEMp50n24PnX+cuTit7ybO88o/D
Qp/c7FvIdQ4AJMDSUtEGcU7eHz+tpr5eSz2v11ag5YekkLt/2JiBW+Ls4hizb/1b
wKKjraYbeJQQJ9D1C0QJhGqHSS1EtEs04HOj+5hI/j3/ukeBIeTKLEavxr4eDjxG
Py36rSnfMoSFaehMDhI3wFtPlsFDHBqhyV+MikJJoHPtCS7F3T6dw5RsJc0cBGfq
WYEr0ZCw0gt4MNHKd35SCSWPQZXLaQrb2moI5jvTq3o0yUqsEbItLVDQ3UlYXuSj
WCBdQVoy6HfSpNA/v8dw++DGI6DIAvUpP2Y9NENbQtXbcXOCHXYFNbMJysQeOfe0
ik2EhnLxt+oVzRb5BwQJa6/zoYgu8kbB0Z3XqSr+HTMg9K/xqtF9m8Ehm27ns/qP
2kGgwopRh7O+kK9HUxdkcMqFwYCf9mwuOo4PcmxrfMh7qO+tLLqIZZMmfbqdo91u
9Kwe9srfgNqEwDxWl+QO
=SbmO
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 28 Jan 2014 07:31:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:45:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.